Publish Application Variant
curl --request POST \
--url https://api.egp.scale.com/v4/application-variants/{application_variant_id}/publish \
--header 'x-api-key: <api-key>'import requests
url = "https://api.egp.scale.com/v4/application-variants/{application_variant_id}/publish"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/application-variants/{application_variant_id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"configuration": {
"nodes": [
{
"id": "<string>",
"application_node_schema_id": "text_input_schema",
"configuration": {}
}
],
"edges": [
{
"from_node": "<string>",
"to_node": "<string>",
"from_field": "<string>",
"to_field": "<string>"
}
],
"metadata": {}
},
"version": "V0",
"application_spec_id": "<string>",
"draft": true,
"account_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "<string>",
"created_by_identity_type": "user"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Applications
Publish Application Variant
POST
/
v4
/
application-variants
/
{application_variant_id}
/
publish
Publish Application Variant
Authorizations
Path Parameters
Response
Successful Response
- ApplicationVariantV0Response
- ApplicationVariantAgentsServiceResponse
- OfflineApplicationVariantResponse
Show child attributes
Show child attributes
Allowed value:
"V0"Boolean to indicate whether the variant is in draft mode
The ID of the account that owns the given entity.
The date and time when the entity was created in ISO format.
The date and time when the entity was last updated in ISO format.
Optional description of the application variant
The date and time that the variant was published.
The user who originally created the entity.
The type of identity that created the entity.
Available options:
user, service_account 
